Package uk.co.mccombe.mapping

# Class Projection

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection

Direct Known Subclasses:
  `Lambert`, `Orthomorphic`, `TransverseMercator`

public abstract class Projection extends CoordinateSystem
A Projection is an abstract base class for CoordinateSystems in which a a 3-dimensional position is "projected" onto a surface to allow it to be represented in 2-dimensions.

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Projection()`
Creates a new instance of Projection
``
`Projection(Position p, Ellipsoid e, Datum d)`
Create a new Projection for a Position.

## Method Summary

Modifier and Type
Method
Description
`abstract double`
`gridConvergence()`
Calculate Grid Convergence - the angle between the North axis and True North at this particular point.
`abstract ENPair`
`toEN()`
Get a 2-dimensional representation of the projected position as easting and northing distances

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`defaultDatum, defaultEllipsoid, getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Projection

protected Projection()
Creates a new instance of Projection

### Projection

public Projection(Position p, Ellipsoid e, Datum d)
Create a new Projection for a Position. The projection uses a specified Ellipsoid and Datum.

Parameters:
  `p` - The Position
  `e` - Ellipsoid to use
  `d` - Datum to be used.

## Method Details

### toEN

public abstract ENPair toEN()
Get a 2-dimensional representation of the projected position as easting and northing distances

Returns:
  An ENPair representing the projected Position

### gridConvergence

public abstract double gridConvergence()
Calculate Grid Convergence - the angle between the North axis and True North at this particular point.

Returns:
  Grid convergence (radians)